Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.driver.model
Class WorkerContext

    java.lang.Object
      com.intel.cosbench.driver.model.WorkerContext

All Implemented Interfaces:
  Benchmark, LifeCycle, WorkerInfo

    public class WorkerContext

extends java.lang.Object
implements WorkerInfo

This class encapsulates worker related information.

Author:
  ywang19

Constructor Summary
`WorkerContext()`

Method Summary
`void` | `disposeRuntime()`
`AuthAPI` | `getAuthApi()`
`int` | `getIndex()`
`Logger` | `getLogger()`
`Mission` | `getMission()`
`java.util.Random` | `getRandom()`
`Report` | `getReport()`
`Snapshot` | `getSnapshot()`
`StorageAPI` | `getStorageApi()`
`boolean` | `isError()`
`void` | `setAuthApi(AuthAPI authApi)`
`void` | `setError(boolean error)`
`void` | `setIndex(int index)`
`void` | `setLogger(Logger logger)`
`void` | `setMission(Mission mission)`
`void` | `setReport(Report report)`
`void` | `setSnapshot(Snapshot snapshot)`
`void` | `setStorageApi(StorageAPI storageApi)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkerContext

    public WorkerContext()

Method Detail

### getIndex

    public int getIndex()

  Specified by:
    `getIndex` in interface `WorkerInfo`

### setIndex

    public void setIndex(int index)

### getMission

    public Mission getMission()

### setMission

    public void setMission(Mission mission)

### getLogger

    public Logger getLogger()

### setLogger

    public void setLogger(Logger logger)

### getAuthApi

    public AuthAPI getAuthApi()

### setAuthApi

    public void setAuthApi(AuthAPI authApi)

### getStorageApi

    public StorageAPI getStorageApi()

### setStorageApi

    public void setStorageApi(StorageAPI storageApi)

### isError

    public boolean isError()

### setError

    public void setError(boolean error)

### getSnapshot

    public Snapshot getSnapshot()

  Specified by:
    `getSnapshot` in interface `Benchmark`

### setSnapshot

    public void setSnapshot(Snapshot snapshot)

### getReport

    public Report getReport()

  Specified by:
    `getReport` in interface `Benchmark`

### setReport

    public void setReport(Report report)

### getRandom

    public java.util.Random getRandom()

### disposeRuntime

    public void disposeRuntime()

  Specified by:
    `disposeRuntime` in interface `LifeCycle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD